Bug 765440 - (GLUSTER-3708) 3.3beta2 Glusterd Connectivity Issue right after installation
3.3beta2 Glusterd Connectivity Issue right after installation
Status: CLOSED CURRENTRELEASE
Product: GlusterFS
Classification: Community
Component: glusterd (Show other bugs)
3.3-beta
x86_64 Linux
medium Severity high
: ---
: ---
Assigned To: Amar Tumballi
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2011-10-07 15:14 EDT by Veda Shankar
Modified: 2013-12-18 19:07 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
cli.log (540 bytes, application/octet-stream)
2011-10-07 12:14 EDT, Veda Shankar
no flags Details
glusterd.vol.log (2.23 KB, application/octet-stream)
2011-10-07 12:15 EDT, Veda Shankar
no flags Details

  None (edit)
Description Veda Shankar 2011-10-07 12:15:18 EDT
Created attachment 699
Comment 1 Veda Shankar 2011-10-07 15:14:04 EDT
I wanted to test the 3.3beta2 installation.  I started a Centos 5.6 64 bit AMI (not Gluster, vanilla Centos) and successfully built GlusterFS from the source in glusterfs-3.3beta2.tar.gz.  I followed our documentation (Gluster_Unified_File_and_Object_Storage.pdf) and installed the object-storage tarball and executed centos_install.sh without any issues.

But when I execute gluster volume create auth ip-10-245-194-250:/export/auth/
I get: Connection failed. Please check if gluster daemon is operational.

glusterd is running and gluster –V reports 3.3beta2.

I am attaching the .log from that system, I suspect it is the transport-type in the .vol file.  I am also including the access for that system and the PEM key so that you can log into the system.  

I did a similar exercise yesterday with the S appliance and ran into the same problem.
  Install VSA, repo switch to 3.2.3
  Gluster volume info command worked
  Repo switch to 3.3beta2
  Gluster volume info command failed.  The error condition is the same as the test with source code.
Comment 2 Veda Shankar 2011-10-07 16:50:53 EDT
 I did the following steps to fix the issue:
insmod /lib/modules/2.6.21.7-2.fc8xen/kernel/net/ipv6/ipv6.ko
modprobe ipv6
service glusterd restart

I will leave the bug open for another day in case we want to add any more comments.
Comment 3 Amar Tumballi 2011-10-13 03:40:48 EDT
Veda,

With fixes going in to fix bug 764188 (IPv6 Support) in master branch after 3.3.0beta2 release, these issues are fixed. Will be marking it closed. Please use the latest of the 3.3 branch to run your tests.

Regards,
Amar

Note You need to log in before you can comment on or make changes to this bug.